Bug 141120 - Excessive CPU, sluggish response with accessibility enabled
Excessive CPU, sluggish response with accessibility enabled
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
Blocks: 169147
  Show dependency treegraph
Reported: 2004-11-29 09:27 EST by John Summerfield
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-13 17:33:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Summerfield 2004-11-29 09:27:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
This seems similar to 124512 and the ancient  104090 and I nearly appended to one of those.

I have mail arriving via a VPN to ns.demo.lan which is running Cyrus Imap 2.1 (Debian). The mail is from various RH-related lists including fedora-users.

I'm reading on a Nahant box using kmail, and as kmail doesn't sort imap email I'm using Evolution on FC3 to do that. Well, really just picking out the Fedora list and moving to another folder, same server.

The only "antisocial" setting is I have it checking each two minutes, but I don't see that that should cause a problem on a Pentium III 600 with 192 Mb RAM.

It's not possible to use E for more than that as simply choosing another folder does this:
25129 summer    25   0  150m  22m  30m R 60.5 12.0  53:47.12 evolution          

and I've seen the load average up around 8. Worse even.

[summer@dugong ~]$ uptime
 22:07:42 up 6 days,  8:35, 11 users,  load average: 10.59, 3.52, 2.01

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Configure evolution: I have two IMAP accounts
2.Configure to sort Fedora users into another folder
3.Subscribe to some RH/Fedora lists including the reasonably busy fedora users
4. Let email accumulate for a few days:-)

Actual Results:  All the above and the system becomes hard to use.

Expected Results:  Low load, usable system.

Additional info:

I should mention there's this other program gets rather busy too:
top - 22:13:17 up 6 days,  8:40, 11 users,  load average: 1.50, 3.09, 2.45
Tasks: 118 total,   2 running, 115 sleeping,   0 stopped,   1 zombie
Cpu(s): 83.4% us, 16.6% sy,  0.0% ni,  0.0% id,  0.0% wa,  0.0% hi,  0.0% si
Mem:    191300k total,   189420k used,     1880k free,     1808k buffers
Swap:   393208k total,   159988k used,   233220k free,    41412k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
25129 summer    25   0  150m  22m  30m R 58.7 11.9  58:37.12 evolution          
 9659 summer    15   0 11460 2632 9552 S 28.4  1.4  31:38.61 at-spi-registry    

I now see I have two filters:-(
"mailing list" contains "fedora-list.redhat.com" move to folder INBOX/fc
"mailing list" is "fedora-list.redhat.com" move to folder INBOX/fc

I've just removed the second, it never worked anyway. Doesnot seem to have made any difference.
Comment 1 Dave Malcolm 2004-11-30 15:55:32 EST
Looks like you have accessibility turned on.  

Look at Panel Menu->Preferences->Accessibility->Assistive Technology
Support, look at the "Enable Assistive Technologies" checkbox.  I
believe you have this turned on.  Please can you try unchecking it,
logging out, then logging back in and restarting up evolution - what
effect does doing this have on the performance?  Thanks.
Comment 2 John Summerfield 2004-12-03 03:22:32 EST
Sorry, I didn't see the mail asking for more info. I visited the bug
because I see a similar problem in gamin (Nahant) and thought both
problems were on the same box.

I did have accessibility on. It doesn't work, but I did try it.
Previously, I was using E to sort mail and was reading it on a Nahant
box. I switched to reading mail on the FC3 machine (with KDE Desktop
Environment ^ kamil) and didn't observe the problem. I guess that's
consistent with Acessibility getting in the way.

I logged out, logged in with Gnome, turned off Accessibility, logged
out, logged in, started up E. No problem.

I logged turned Accessibility on, logged out, logged in and
Festival is chewing up great gobs of CPU.
E doesn't have a problem now.

Here's Festival:
 67.6 31.5   4:41.26 festival
It might be higher but for gnome-terminal running at 14% or so with
top in it.

Note that this computer is headless; I'm using it from another machine
X -query dugong :2

Comment 3 Dave Malcolm 2004-12-03 13:42:25 EST
Thanks - definitely looks like an issue with accessibility/evolution. 

Updating title of the bug to reflect this.
Comment 4 Dave Malcolm 2005-09-26 20:50:57 EDT
I've been running rawhide with accessibility turned on for a few weeks now, with
no significant slowdown in evolution - this is evolution 2.4.0

So it looks like it's been fixed in more recent versions.
Comment 5 Dave Malcolm 2006-01-13 17:33:32 EST
Works fine for me these days; I have a11y permanently on, and run evolution
without seeing slowdown

Note You need to log in before you can comment on or make changes to this bug.